# gdcm_jp2.h File Reference

Go to the source code of this file.

## Classes
struct | opj_jp2
struct | opj_jp2_box
struct | opj_jp2_comps
## Defines
#define | JP2_BPCC 0x62706363
#define | JP2_COLR 0x636f6c72
#define | JP2_DBTL 0x6474626c
#define | JP2_FTYP 0x66747970
#define | JP2_IHDR 0x69686472
#define | JP2_JP 0x6a502020
#define | JP2_JP2 0x6a703220
#define | JP2_JP2C 0x6a703263
#define | JP2_JP2H 0x6a703268
#define | JP2_URL 0x75726c20
#define | JPIP_JPIP 0x6a706970
## Typedefs
typedef struct opj_jp2_box | opj_jp2_box_t
typedef struct opj_jp2_comps | opj_jp2_comps_t
typedef struct opj_jp2 | opj_jp2_t
## Functions
Exported functions
opj_jp2_t * | jp2_create_compress (opj_common_ptr cinfo)
opj_jp2_t * | jp2_create_decompress (opj_common_ptr cinfo)
opj_image_t * | jp2_decode (opj_jp2_t *jp2, opj_cio_t *cio, opj_codestream_info_t *cstr_info)
void | jp2_destroy_compress (opj_jp2_t *jp2)
void | jp2_destroy_decompress (opj_jp2_t *jp2)
bool | jp2_encode (opj_jp2_t *jp2, opj_cio_t *cio, opj_image_t *image, opj_codestream_info_t *cstr_info)
bool | jp2_read_jp2h (opj_jp2_t *jp2, opj_cio_t *cio)
void | jp2_setup_decoder (opj_jp2_t *jp2, opj_dparameters_t *parameters)
void | jp2_setup_encoder (opj_jp2_t *jp2, opj_cparameters_t *parameters, opj_image_t *image)
void | jp2_write_jp2h (opj_jp2_t *jp2, opj_cio_t *cio)